% CZGM_script

% Compositional Zoning in Garnet and its Modification by diffusion (CZGM) 

% Modelling with CZGM consists of the following steps
% (see the functions CZGM_description and initial_setup for details)

% (0) Preparation and initial setup
initial_setup

% (1) Design of PT-path
make_path

% (2) Gathering material for garnets
run_vertex % Fractionation along PT path
% or
use_isopleths % Interpolation from isopleths

% (3) Formation of garnet population
make_garnets

% (4) Assignment of time to PT path
% make_time not involved in this version, use time_fac

% (5) Multicomponent diffusion in a chosen garnet
make_diffusion

% User can run the whole sequence of steps, or run steps 1,2 and then
% repeatedly 3 and 5 with different choice of garnet-size and subsequent
% diffusion, or repeat diffusion, step 5, with different time duration.

