function use_isopleths

% globals defined by initial_setup
global data_folder
global PT_file PT_design
global ind_Mn ind_Mg ind_Fe ind_Ca
global iq_JJ

% from make_path
global Pi Ti ti
global Mni Mgi Fei Cai GVi

% output
clear MnG MgG FeG CaG GVG PG TG tG tr_rem Pr_rem Tr_rem
global MnG MgG FeG CaG GVG PG TG tG % for make_garnets
global tr_rem Pr_rem Tr_rem % for make_diffusion

clc

% create a coordinate file (just for possible further use, not used here)
% iqexf=exist(PT_file,'file')
% if iqexf == 2; delete(PT_file) ; end
fid = fopen(PT_file, 'w');
nPT=length(Ti)
for i=1:nPT; fprintf(fid, '%10.2f %10.2f\n', Pi(i),Ti(i)); end; fclose(fid);
% round Pi, Ti accordingly to the previous format
% Pi=round(Pi,2); Ti=round(Ti,2);
Pi=round(Pi*100)/100; Ti=round(Ti*100)/100; % for older versions of M

% prvni GVi musi byt 0, tomu budu rikat redukce (predchozi historii 
% zanedbavame - doporucime startovat z nuloveho pole granatu)
GVi=GVi-GVi(1); % reduction (previous history neglected)
% najdeme indexy, kde granat neroste
k=0; GVG=GVi(1); % GVG musi byt na zacatku skalar
for i=2:nPT
    if GVi(i)<=max(GVG)
        k=k+1;
        ind_no_increase(k)=i;
        GVG(i)=max(GVG);
    else
        GVG(i)=GVi(i);
    end
end
ind_no_increase
ind_increase=setdiff([1:nPT],ind_no_increase)

GVG=GVG/max(GVG); % normalized to
indGVG1=find(GVG==1)

iend=min(indGVG1)
ind=[1:iend]; % from beginning until end of garnet formation
tG=ti(ind)
TG=Ti(ind)
PG=Pi(ind);
MnG=Mni(ind);
MgG=Mgi(ind);
FeG=Fei(ind);
CaG=Cai(ind);
GVG=GVG(ind);

if length(indGVG1)==1 % draha vycerpana
    tr_rem=0;
else   
    ind=[iend+1:nPT]; % remaining part of PT path
    tr_rem=ti(ind)
    Pr_rem=Pi(ind);
    Tr_rem=Ti(ind);
end

% final checks and corrections --------------------------------------------

% iq=0;
% nGVG=length(GVG)
% for i=1:nGVG
%     if isnan(GVG(i))==1
%         iq=iq+1; % GVG
% %         'GVG contains NaNs and should not be used in make_garnets'
%         GVG(i)=0; FeG(i)=0; MnG(i)=0; MgG(i)=0; CaG(i)=0;
% %         pause
%     end
% end
% if iq>0
%     GVG
%     iq, 'NaNs in GVG and concentrations replaced by 0'
% % pause
% else
%     'check of no NaNs in GVG: OK'
% end
% 
% % neglect <1%% increase
% for i=1:nGVG
%     GVG(i)=fix(GVG(i)*1000)/1000;
% end
% % ensure the monotonicity of GVG
% iq=0;
% for i=2:nGVG
%     if GVG(i)<GVG(i-1)
%         diff_GVG=diff(GVG);
% %         i, 'GVG(i) set to GVG(i-1)', 
%         GVG(i)=GVG(i-1);
%         iq=iq+1;
%     end
% end
% GVG
% if iq>1
%     diff_GVG
%     iq, 'GV was corrected to be monotonous'
%     pause
% else
%     'check of monotonicity fo GVG, OK'
% end
% reduction_ind=min(find(GVG>0))
% ind1=reduction_ind:nGVG;
% 
% GVG=GVG(ind1);
% GVG=GVG-GVG(1); GVG=GVG/max(GVG); reduction='GVG reduced'
% 
% tG=tG(ind1);
% FeG=FeG(ind1); MnG=MnG(ind1); MgG=MgG(ind1); CaG=CaG(ind1);
% TG=TG(ind1); PG=PG(ind1);
TG
% plots -------------------------------------------------------------------

if PT_design>=1 & PT_design<=5
       
    figure
    pos=get(gcf,'position'); set(gcf,'position',pos.*[1 1 0.8 0.8]+[0 -pos(2)*0.9 0 0]);
    hold on, box on, grid on
    plot(ti,Mni,'b-') % interpolated from grid, no fractionation
    plot(ti,Mgi,'r-')
    plot(ti,Fei,'m-')
    plot(ti,Cai,'g-')
    legend('Mn','Mg','Fe','Ca') %,'location','northwest')
    title('interpolated  concentrations (normalized)')
    xlabel('time'), ylabel('concentration')
    ylim([0 1])
    
    figure, hold on
    pos=get(gcf,'position'); set(gcf,'position',pos.*[1 1 0.8 0.8]+[pos(1)*0.9  0 0 0]);
    title('GV and concentrations passed to make-garnets')
    plot(TG(1:end),GVG(1:end),'k.--')
    ylabel('normalized GV')
    grid on
    plot(TG(1:end),MnG(1:end),'b.--')
    plot(TG(1:end),MgG(1:end),'r.--')
    plot(TG(1:end),FeG(1:end),'m.--')
    plot(TG(1:end),CaG(1:end),'g.--')
    xlabel('T (K)')

    figure, hold on
    pos=get(gcf,'position'); set(gcf,'position',pos.*[1 1 0.8 0.8]+[pos(1)*0.9 -pos(2)*0.9 0 0]);
    title('GV and concentrations passed to make-garnets')
    plot(tG(1:end),GVG(1:end),'k.--')
    ylabel('normalized GV')
    grid on
    plot(tG(1:end),MnG(1:end),'b.--')
    plot(tG(1:end),MgG(1:end),'r.--')
    plot(tG(1:end),FeG(1:end),'m.--')
    plot(tG(1:end),CaG(1:end),'g.--')
    xlabel('time')
    
    figure, hold on, title('interpolated GV (-), gradient >=0 (.)')
    pos=get(gcf,'position'); set(gcf,'position',pos.*[1 1 0.8 0.8]);
    plot(ti,GVi/max(GVi),'k-')
    plot(tG,GVG,'k.')
    plot(tG(ind_increase),GVG(ind_increase),'kx')
    ylabel('reduced and normalized GV')
    grid on
    xlabel('time')
       
end
TG
% GV_and_time_passed_to_make_garnets=[GVG',tG']

% -------------------------------------------------------------------------
